### Method

# Manette Device get_mapping

since: 0.2.10

#### Declaration [src]

    char*
    manette_device_get_mapping (
      ManetteDevice* self
    )

#### Description [src]

Gets the user mapping for `self`, or default mapping if there isn’t any.

Can return `NULL` if there’s no mapping or `self` doesn’t support mappings.

Available since: 0.2.10

#### Return value

Type: `char*`

The mapping for `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.